Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 20 Apr 2014, 12:21
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
How to install Flash in Firepup browser?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Author Message
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Mon 12 Apr 2010, 19:29    Post subject:  How to install Flash in Firepup browser?
Subject description: Puppy 2.16
 

I recently installed tuxxx's lightweight firepup browser. So far, I like it a great deal.
But, how do I upgrade/install flash?

ps. I'm running puppy 2.16 (as it seems to run the best on my older machine)
pss. I'm a newbie in training
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 12 Apr 2010, 21:12    Post subject:  

hi
just make a folder in /usr/lib/mozilla/plugins and download the latest flash and place it in the folder.
or install the pet found http://www.murga-linux.com/puppy/viewtopic.php?p=188789
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
john biles


Joined: 17 Sep 2006
Posts: 1379
Location: Australia

PostPosted: Mon 12 Apr 2010, 21:32    Post subject:  

Hello ttuuxxx,
I noticed he's running Puppy 2.16 which normally doesn't play well with Flash 10 due to glibc 2.3.5
Didn't you once post a trick to make Flash 10 work with glibc's older than recommended?

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 12 Apr 2010, 21:47    Post subject:  

john biles wrote:
Hello ttuuxxx,
I noticed he's running Puppy 2.16 which normally doesn't play well with Flash 10 due to glibc 2.3.5
Didn't you once post a trick to make Flash 10 work with glibc's older than recommended?

I think It might of been this flash
http://www.puppylinux.asia/tpp/ttuuxxx/programs/internet/flash-10.0.15.pet
username:puppy
passwrd:linux
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 12 Apr 2010, 21:52    Post subject:  

also another method on 2.14X I system linked glibC from 3 series which was libc-2.5.so, But that is a complex method. Probably better with the above flash.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Mon 12 Apr 2010, 23:14    Post subject:  

Thanks for both of your responses--its this sort of help that makes a newbie like me feel welcome in puppy.

Unfortunately, it doesn't seem to be working. I've tried all of the suggestions, but still get the missing plugin symbol on pages requiring flash.

I installed the pet that tuxxx recommended, but it showed some missing dependencies. I'm attaching a screenshot.

Also I put a copy of flash in /usr/lib/mozilla/plugins . Still no luck. Is there any chance that you meant the FirePupv4 plugins folder (i.e not mozilla) ?


(p.s.: I've played around with Tuxx's 214x series and it looks lovely, but I've been sticking with puppy 2.16 because the sound seems to run smoother. Otherwise I'd probably switch )

Unfortunately, its late where I am, so I'm probably signing off for the night. Again, thanks for all the help so far.

[/img]
flash in plugins.png
Description 
png

 Download 
Filename  flash in plugins.png 
Filesize  330.53 KB 
Downloaded  424 Time(s) 
missing plugins for flash.png
Description 
png

 Download 
Filename  missing plugins for flash.png 
Filesize  237.52 KB 
Downloaded  425 Time(s) 
Back to top
View user's profile Send private message 
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Mon 12 Apr 2010, 23:16    Post subject:  

Thanks for both of your responses--its this sort of help that makes a newbie like me feel welcome in puppy.

Unfortunately, it doesn't seem to be working. I've tried all of the suggestions, but still get the missing plugin symbol on pages requiring flash.

I installed the pet that tuxxx recommended, but it showed some missing dependencies. I'm attaching a screenshot.

Also I put a copy of flash in /usr/lib/mozilla/plugins . Still no luck. Is there any chance that you meant the FirePupv4 plugins folder (i.e not mozilla) ?


(p.s.: I've played around with Tuxx's 214x series and it looks lovely, but I've been sticking with puppy 2.16 because the sound seems to run smoother. Otherwise I'd probably switch )

Unfortunately, its late where I am, so I'm probably signing off for the night. Again, thanks for all the help so far.

[/img]
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 12 Apr 2010, 23:26    Post subject:  

sfeeley wrote:
Thanks for both of your responses--its this sort of help that makes a newbie like me feel welcome in puppy.

Unfortunately, it doesn't seem to be working. I've tried all of the suggestions, but still get the missing plugin symbol on pages requiring flash.

I installed the pet that tuxxx recommended, but it showed some missing dependencies. I'm attaching a screenshot.

Also I put a copy of flash in /usr/lib/mozilla/plugins . Still no luck. Is there any chance that you meant the FirePupv4 plugins folder (i.e not mozilla) ?


(p.s.: I've played around with Tuxx's 214x series and it looks lovely, but I've been sticking with puppy 2.16 because the sound seems to run smoother. Otherwise I'd probably switch )

Unfortunately, its late where I am, so I'm probably signing off for the night. Again, thanks for all the help so far.



hi your missing system links basically you need to open usr/lib/firefox and open another window usr/lib
now highlite all the libs like in the picture below and drag them into usr/lib and select system link.


If your still having issues I'll bootup 2.16 and do it for you, hmmm If you want I could update firefox also,
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Tue 13 Apr 2010, 00:26    Post subject:  

umm . . . now I show how much of a newbie I am. When I move the files I get:
Copy
Move
Link (relative)
Link (absolute)

which is system link?
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 13 Apr 2010, 00:49    Post subject:  

sfeeley wrote:
umm . . . now I show how much of a newbie I am. When I move the files I get:
Copy
Move
Link (relative)
Link (absolute)

which is system link?
usually relative is best, I'm currently starting to work on 2.16.1 I'll add firepup and flash, fix the printing because usually it dies when you remove seamonkey and change a few icons, update the looks should take about 1-2hrs.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 13 Apr 2010, 00:52    Post subject:  

did you want a small version of gimp included? would add about 4.5mb compressed to the iso.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Tue 13 Apr 2010, 08:24    Post subject:  

Tuxxxx,
a tuxxx-ed up version of 2.16 sounds lovely. You're far too kind! Very Happy

That said, its an old small sony vaio superslim notebook that I carry around with me. I don't have the docking station, so no printing adjustments are necessary. Likewise, I don't think I need Gimp either.

Basically, I use the computer to type on openoffice (the stripped down 2 series), surf the web, and stream music (hopefully with flash-based pandora-- hence my questions about flash).

So if you want to play around on 2.16 do so by all means, but if it feels like work, don't put yourself out.
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 13 Apr 2010, 11:22    Post subject:  

Well I've been playing around with it all day, lol I updated the package manager because older 2 series like this one had issues installing large packages, so that's fixed, I enabled GTK2 themes and compiled 2 gtk2 theme engines, and a few themes, they just look so much better, I had to compile&hack chtheme gtk2 theme chooser, well to give rox the modern gtk2 look with icons without updating gtk, you have write in /root/.gtkrc-2.0 but every time you select a theme in chtheme it clears /root/.gtkrc-2.0 and places the theme there, then the newer gtk2 icons gets tossed and rox looks like crap again, so I edited the sources and now when you use chtheme it writes to .gtkrc-2.0.mine and doesn't touch .gtkrc-2.0, works rather well Smile
flash 10 is working fine also. I removed Seamonkey also.
I'm going to have to finish this tomorrow its getting late tonight Smile
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
sfeeley

Joined: 14 Feb 2010
Posts: 807

PostPosted: Wed 14 Apr 2010, 08:19    Post subject:  

Thanks for going far above and beyond the call of duty. I"m looking forward to it!
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10730
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 15 Apr 2010, 10:23    Post subject:  

here ya go, hope you like it Smile

added Pburn (plus deps),LXtask,Htop and the latest Pfind
ttuuxxx
http://puppylinux.ca/tpp/ttuuxxx/2.16series/puppy-216-Firepup.iso
username:puppy
password:linux

md5sum
cf0d69577ef630ae3ce5e2d3e43029f9

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 2 [21 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0778s ][ Queries: 12 (0.0139s) ][ GZIP on ]